# Uses of Enum Class org.bukkit.block.data.type.SculkSensor.Phase (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: org.bukkit.block.data.type, interface: SculkSensor, enum: Phase

# Uses of Enum Class
org.bukkit.block.data.type.SculkSensor.Phase

Packages that use SculkSensor.Phase
Package
Description
org.bukkit.block.data.type
Specific BlockData classes relevant to only a given block or set of blocks.

## Uses of SculkSensor.Phase in org.bukkit.block.data.type

Methods in org.bukkit.block.data.type that return SculkSensor.Phase
Modifier and Type
Method
Description
`@NotNull SculkSensor.Phase`
SculkSensor.`getPhase()`
Gets the value of the 'sculk_sensor_phase' property.
`static SculkSensor.Phase`
SculkSensor.Phase.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SculkSensor.Phase[]`
SculkSensor.Phase.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.block.data.type with parameters of type SculkSensor.Phase
Modifier and Type
Method
Description
`void`
SculkSensor.`setPhase(@NotNull SculkSensor.Phase phase)`
Sets the value of the 'sculk_sensor_phase' property.